List Responses for a Survey
curl --request POST \
--url https://api.birdeye.com/resources/v1/survey/ext/list/responses/{survey_id} \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "07/03/2018 06:30:00",
"endDate": "07/23/2018 06:45:00"
}
'import requests
url = "https://api.birdeye.com/resources/v1/survey/ext/list/responses/{survey_id}"
payload = {
"startDate": "07/03/2018 06:30:00",
"endDate": "07/23/2018 06:45:00"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '07/03/2018 06:30:00', endDate: '07/23/2018 06:45:00'})
};
fetch('https://api.birdeye.com/resources/v1/survey/ext/list/responses/{survey_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 1315,
"message": "Invalid survey."
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Survey
List Survey Responses
POST
/
v1
/
survey
/
ext
/
list
/
responses
/
{survey_id}
List Responses for a Survey
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Id of the Survey.
Query Parameters
The Business Number of Enterprise
The page number, starts with 0.
The size of the page.
The sort by parameter.
The sort order parameter.
The field to fetch ticketIds associated with the response.
Response
OK

